popsquares(6)

NAME
popsquares - pop artish pulsing color grid.

SYNOPSIS
popsquares [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--subdivision number] [--border number] [--ncolors number] [--twitch] [--no-twitch] [--transparent] [--db] [--no-db] [--fps]

DESCRIPTION
This draws a pop artish grid of pulsing colors. Inspired by cheesy MTV commercials.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--fg string
    Starting color of color ramp. Default: red.

--bg string
    Starting color of color ramp. Default: blue.

--delay number
    Per-frame delay, in microseconds. Default: 25000.

--subdivision number
    Number of subdivisions. Default: 5.

--border number
    Size of border between squares in pixels. Default: 1.

--ncolors number
    Number of colors. Default: 128.

--twitch | --no-twitch
    Randomize all squares index into the color ramp periodically.

--db | --no-db
    Whether to double buffer.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Levi Burton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Levi Burton